Bug 1444357 - [abrt] ibus: gtk_widget_translate_coordinates(): ibus-ui-emojier killed by signal 11
Summary: [abrt] ibus: gtk_widget_translate_coordinates(): ibus-ui-emojier killed by si...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: ibus
Version: 26
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: fujiwara
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:4a94cca507a9fb24b2bb718cb2b...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-21 08:45 UTC by Mike FABIAN
Modified: 2019-09-25 04:56 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-05-29 11:54:51 UTC


Attachments (Terms of Use)
File: backtrace (46.15 KB, text/plain)
2017-04-21 08:45 UTC, Mike FABIAN
no flags Details
File: cgroup (355 bytes, text/plain)
2017-04-21 08:45 UTC, Mike FABIAN
no flags Details
File: core_backtrace (14.22 KB, text/plain)
2017-04-21 08:45 UTC, Mike FABIAN
no flags Details
File: dso_list (8.67 KB, text/plain)
2017-04-21 08:45 UTC, Mike FABIAN
no flags Details
File: environ (3.37 KB, text/plain)
2017-04-21 08:45 UTC, Mike FABIAN
no flags Details
File: exploitable (112 bytes, text/plain)
2017-04-21 08:45 UTC, Mike FABIAN
no flags Details
File: limits (1.29 KB, text/plain)
2017-04-21 08:45 UTC, Mike FABIAN
no flags Details
File: maps (42.93 KB, text/plain)
2017-04-21 08:45 UTC, Mike FABIAN
no flags Details
File: open_fds (839 bytes, text/plain)
2017-04-21 08:45 UTC, Mike FABIAN
no flags Details
File: proc_pid_status (1.27 KB, text/plain)
2017-04-21 08:45 UTC, Mike FABIAN
no flags Details
File: var_log_messages (347 bytes, text/plain)
2017-04-21 08:45 UTC, Mike FABIAN
no flags Details

Description Mike FABIAN 2017-04-21 08:45:12 UTC
Version-Release number of selected component:
ibus-1.5.15-7.fc26

Additional info:
reporter:       libreport-2.9.1
backtrace_rating: 4
cmdline:        /usr/libexec/ibus-ui-emojier
crash_function: gtk_widget_translate_coordinates
executable:     /usr/libexec/ibus-ui-emojier
journald_cursor: s=664b04056b90495eb16b01faf8679d24;i=50ac;b=49987fadbf444363972d43c8efe305d9;m=8c993bfce1;t=54c68c07c4671;x=2b461df22db5e7cb
kernel:         4.11.0-0.rc3.git0.2.fc26.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 gtk_widget_translate_coordinates at gtkwidget.c:6292
 #1 _update_widget_coordinates at gtkgesture.c:504
 #2 _gtk_gesture_update_point at gtkgesture.c:611
 #3 gtk_gesture_handle_event at gtkgesture.c:740
 #4 gtk_gesture_single_handle_event at gtkgesturesingle.c:222
 #5 gtk_event_controller_handle_event at gtkeventcontroller.c:230
 #6 controller_handle_wm_event at gtkwindow.c:8071
 #7 gtk_window_handle_wm_event at gtkwindow.c:8100
 #8 _gtk_window_check_handle_wm_event at gtkwindow.c:8138
 #9 gtk_main_do_event at gtkmain.c:1748

Comment 1 Mike FABIAN 2017-04-21 08:45:20 UTC
Created attachment 1273223 [details]
File: backtrace

Comment 2 Mike FABIAN 2017-04-21 08:45:22 UTC
Created attachment 1273224 [details]
File: cgroup

Comment 3 Mike FABIAN 2017-04-21 08:45:24 UTC
Created attachment 1273225 [details]
File: core_backtrace

Comment 4 Mike FABIAN 2017-04-21 08:45:26 UTC
Created attachment 1273226 [details]
File: dso_list

Comment 5 Mike FABIAN 2017-04-21 08:45:29 UTC
Created attachment 1273227 [details]
File: environ

Comment 6 Mike FABIAN 2017-04-21 08:45:31 UTC
Created attachment 1273228 [details]
File: exploitable

Comment 7 Mike FABIAN 2017-04-21 08:45:33 UTC
Created attachment 1273229 [details]
File: limits

Comment 8 Mike FABIAN 2017-04-21 08:45:36 UTC
Created attachment 1273230 [details]
File: maps

Comment 9 Mike FABIAN 2017-04-21 08:45:37 UTC
Created attachment 1273231 [details]
File: open_fds

Comment 10 Mike FABIAN 2017-04-21 08:45:39 UTC
Created attachment 1273232 [details]
File: proc_pid_status

Comment 11 Mike FABIAN 2017-04-21 08:45:41 UTC
Created attachment 1273233 [details]
File: var_log_messages

Comment 12 fujiwara 2017-07-27 10:03:38 UTC
I cannot reproduce your backtrace.
Are you able to reproduce your backtrace with the latest ibus 1.5.16?

(In reply to Mike FABIAN from comment #1)
> Created attachment 1273223 [details]
> File: backtrace

#0  0x00007f9b5af5995f in gtk_widget_translate_coordinates (src_widget=src_widget@entry=0x55ebfe8b44d0 [IBusEmojier], dest_widget=dest_widget@entry=0x0, src_x=src_x@entry=85, src_y=src_y@entry=35, dest_x=dest_x@entry=0x7fffc40498ac, dest_y=dest_y@entry=0x7fffc40498b8) at gtkwidget.c:6292
#1  0x00007f9b5adc2b21 in _update_widget_coordinates (data=<optimized out>, gesture=<optimized out>) at gtkgesture.c:504
#2  0x00007f9b5adc2b21 in _gtk_gesture_update_point (gesture=<optimized out>, event=<optimized out>, add=<optimized out>) at gtkgesture.c:611
#3  0x00007f9b5adc2dd8 in gtk_gesture_handle_event (controller=0x55ebfe93fce0 [GtkGestureDrag], event=0x55ebfe6d7c00) at gtkgesture.c:740
#4  0x00007f9b5adc5c2e in gtk_gesture_single_handle_event (controller=0x55ebfe93fce0 [GtkGestureDrag], event=0x55ebfe6d7c00) at gtkgesturesingle.c:222
#5  0x00007f9b5ad93071 in gtk_event_controller_handle_event (controller=controller@entry=0x55ebfe93fce0 [GtkGestureDrag], event=event@entry=0x55ebfe6d7c00) at gtkeventcontroller.c:230
#6  0x00007f9b5af6e180 in controller_handle_wm_event (gesture=0x55ebfe93fce0 [GtkGestureDrag], event=0x55ebfe6d7c00) at gtkwindow.c:8071
#7  0x00007f9b5af6e212 in gtk_window_handle_wm_event (window=<optimized out>, event=event@entry=0x55ebfe6d7c00, run_drag=run_drag@entry=1) at gtkwindow.c:8100
#8  0x00007f9b5af78ce6 in _gtk_window_check_handle_wm_event (event=event@entry=0x55ebfe6d7c00) at gtkwindow.c:8138
#9  0x00007f9b5ae0c6c1 in gtk_main_do_event (event=<optimized out>) at gtkmain.c:1748

Comment 13 Pravin Satpute 2018-03-22 06:38:34 UTC
@mike can we triage this bug for Fedora 27 or may be for F28?

Comment 14 Fedora End Of Life 2018-05-03 08:33:04 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 15 Fedora End Of Life 2018-05-29 11:54:51 UTC
Fedora 26 changed to end-of-life (EOL) status on 2018-05-29. Fedora 26
is no longer maintained, which means that it will not receive any
further security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.